body {
    background-color: #f9faf2;
    font-family: 'Century Gothic', 'Helvetica Neue';
}

.main {
    width: 50vw;
    margin: 0 auto;
    padding-top: calc(4vh - 20px);
    min-height: 96vh;
}

header {
    min-height: 30px;
}

.banner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    background-color: #feffef;
    -webkit-box-shadow: 0 0 0 3px #ffffff, 0 0 0 4px #d3e8bc, 0 0 0 7px #d6efd4, 0 0 0 9px #a2cfb4;
            box-shadow: 0 0 0 3px #ffffff, 0 0 0 4px #d3e8bc, 0 0 0 7px #d6efd4, 0 0 0 9px #a2cfb4;
    width: 38vw;
    margin: 0 auto;
    margin-top: 20px;
    min-height: 230px;
    height: 30vh;
    max-height: 360px;
}

.banner-text {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    font-size: 18px;
    padding: 15px;
    height: calc(100% - 30px);
    text-align: center;
}

.banner-p h1 {
    font-size: 24px;
    padding-bottom: 20px;
}

.banner-p a {
    color: #4B787A;
    font-weight: 600;
    text-decoration: none;
}

container {
    display: block;
    min-height: 30px;
}

.create-request {
    min-height: 30px;
}

.create-request .field {
    background-color: #feffef;
    width: 38vw;
    margin: 0 auto;
    margin-top: clamp(20px, 3vh, 40px);
    padding: 5px;
    border: 4px solid #d6efd4;
}

.create-request .field:first-child {
    margin-top: clamp(20px, calc(3vh + 8px), 40px);
}

.create-request .field .field-input{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    padding: 20px;
}

.create-request .field .field-input label{
    padding-bottom: 20px;
    font-size: 20px;
}

.create-request .field .field-input label span{
    color: red;
}

.create-request .field .field-input input{
    background: none;
    border: none;
    border-bottom: 1px dotted grey;
    border-radius: 0;
    box-shadow: none;
    font-family: 'Century Gothic', 'Helvetica Neue';
    font-size: 18px;
    padding-bottom: 5px;
    color: rgba(0, 0, 0, .7);
}

.create-request .field .field-input input:active, input:hover, input:focus {
    outline: 0;
    outline-offset: 0;
}

.create-request .field .field-input input:focus {
    border-bottom: 1px solid grey;
}

.btn-field {
    margin: 0 auto;
    margin-top: clamp(20px, 3vh, 40px);;
    width: 38vw;
}

.btn-field button{
    display: block;
    margin: 0 auto;
    border: 3px solid #d6efd4;
    border-radius: 10px;
    color: white;
    -webkit-transition: .2s linear;
    -o-transition: .2s linear;
    transition: .2s linear;
    background: #a2cfb4;
    padding: 15px 25px;
    font-size: 20px;
    font-family: 'Century Gothic', 'Helvetica Neue';
}

.btn-field button:hover {
    -webkit-box-shadow: 0 0 0 2px white, 0 0 0 4px #a2cfb4;
            box-shadow: 0 0 0 2px white, 0 0 0 4px #a2cfb4;
}

.queue-table {
    min-height: 30px;
    margin: 10vh auto 4vh;
}

.col-2 {
    width: 40%;
    background-size: auto 70%;
}

.col-3 {
    width: 60%;
}

.queue-table table {
    border: 4px solid #d6efd4;
    background-color: #feffef;
    margin: 0 auto;
    text-align: center;
    color: rgba(0,0,0,.6);
}

.queue-table table h1 {
    font-weight: 600;
    font-size: 1.5rem;
    padding: 0 20px;
}

.queue-table table tr {
    border-bottom: 1px solid rgba(214, 239, 212, .7);
}

.queue-table table th,td {
    padding: 10px;
    max-width: 60vw;
    min-width: 30vw;
}

.queue-table p {
    word-wrap: break-word;
}

.queue-table table tr th:first-child,td:first-child {
    min-width: 3vw;
}

@media screen and (max-width: 400px) {
    .main {
        width: 100vw;
    }
    
    .banner {
        width: 80vw;
        min-height: 15vh;
        height: 15vh;
    }
    
    .banner-text {
        font-size: 12px;
        padding: 5px;
        padding-top: 15px;
    }

    .banner-p h1 {
        font-size: 14px;
        padding-bottom: 5px;
    }
    
    .col-2 {
        width: 40%;
        background-size: auto 60%;
    }
    
    .create-request .field {
        width: 80vw;
    }
    
    .create-request .field .field-input label{
        font-size: 14px;
    }
    
    .create-request .field .field-input input{
        font-size: 10px;
    }
    
    .btn-field {
        width: 80vw;
    }
    
    .btn-field button{
        padding: 10px 15px;
        font-size: 16px;
    }
    
    .queue-table table th,td {
        font-size: 12px;
    }
}

@media screen and (min-width: 401px) and (max-width: 1200px) {
    .main {
        width: 100vw;
    }
    
    .banner {
        width: 80vw;
    }
    
    .banner-text {
        font-size: 14px;
        padding: 5px;
    }

    .banner-p h1 {
        font-size: 18px;
    }
    
    .col-2 {
        width: 40%;
        background-size: auto 50%;
    }
    
    .create-request .field {
        width: 80vw;
    }
    
    .create-request .field .field-input input{
        font-size: 14px;
    }
    
    .btn-field {
        width: 80vw;
    }
}